%Příklad čislo 2
%Model čislo 4
clc 
clear
numElements = 1; %Počet prutu stejného typu
numNodes = 3; %Počet uzlu
numDOFpernode =3; %Stupeň volnosti uzlu
numDOF = numNodes * numDOFpernode + 1; %Stupeň volnosti celé konstrukce
K_global = zeros (numDOF, numDOF); %Globalní matice tuhosti
%Sestavení globalní matice tuhosti celé konstrukce
for i=1:numElements
   K_vector{i} = vetknuti_vetknuti
   K_global ([1 2 3 4 5 6],[1 2 3 4 5 6]) = K_global ([1 2 3 4 5 6],[1 2 3 4 5 6]) + K_vector{i}
        for j=1:numElements
           K_vector{j} = kloub_vetknuti
           K_global ([4 5 7 8 9 10],[4 5 7 8 9 10]) = K_global ([4 5 7 8 9 10],[4 5 7 8 9 10]) + K_vector{j} 
        end
end
%Sestavení globalního vektoru primarních koncových účinků
numqElements = 1;
numFElements = 1;
R_global = zeros (numDOF, 1);

for i=1:numqElements
   R_vector{i} = q_zatizeni_111_111
   R_global ([1 2 3 4 5 6],[1]) = R_global ([1 2 3 4 5 6],[1]) + R_vector{i}
        for j=1:numFElements
           R_vector{j} = F_zatizeni_110_111
           R_global ([4 5 7 8 9 10],[1]) = R_global ([4 5 7 8 9 10],[1]) + R_vector{j}
        end
end
%Sestavení globalního vektoru uzlového zatížení
S_global= zeros (numDOF, 1);

%Sestavení vektoru pravé strany
F_global = S_global-R_global;

%Sestavení globalního vektoru parametrů deformaci
r = zeros(numDOF,1);
r(4:6) = K_global(4:6,4:6)\F_global(4:6)
